export type Environment = "staging" | "prod" | "prod_test";
export interface EnvConfig {
    program: string;
    url: string;
}
export declare const envConfigs: Record<Environment, EnvConfig>;
export type TokenTypes = "GAST" | "PLUS1" | "APS";
export type TokenConfig = {
    [key in TokenTypes]?: {
        reserve: string;
    };
};
export declare const tokenConfigs: Record<Environment, TokenConfig>;
