"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const anchor = __importStar(require("@project-serum/anchor0.24.2"));
const anchor0_24_2_1 = require("@project-serum/anchor0.24.2");
const web3_js_1 = __importDefault(require("@solana/web3.js"));
const constants_1 = require("../core/constants.js");
const program_1 = require("../supply-to-earn/program.js");
const opts = {
    preflightCommitment: "processed",
    commitment: "processed",
};
const connection = new web3_js_1.default.Connection((0, constants_1.getRpcEndpointUrl)(), opts);
const secretByte = [
    138, 69, 35, 236, 129, 222, 223, 227, 139, 111, 112, 111, 233, 163, 29, 250, 190, 168, 125, 161, 137, 175, 4, 8, 161,
    91, 210, 3, 236, 254, 253, 254, 57, 22, 49, 144, 200, 5, 45, 23, 210, 197, 16, 205, 85, 148, 127, 122, 39, 76, 225,
    106, 155, 166, 51, 96, 101, 161, 133, 246, 229, 85, 33, 84,
];
const secretKey = Uint8Array.from(secretByte);
const keypair = web3_js_1.default.Keypair.fromSecretKey(secretKey);
const wallet = new anchor0_24_2_1.Wallet(keypair);
const provider = new anchor0_24_2_1.AnchorProvider(connection, wallet, opts);
const programId = constants_1.REEARN_PROGRAM_ID;
const program = new anchor.Program(program_1.IDL, programId, provider);
const payer = provider.wallet.payer;
const fetchSupplyAPY = async () => {
    const rewardInfo = await program.account.supplyApy.all();
    return rewardInfo;
};
(async () => {
    const data = await fetchSupplyAPY();
    console.log("data", data);
})();
